CREATE TABLE cn_tp_rate_tier_splits_all (
    RATE_TIER_SPLIT_ID        NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    MEASURE_RESULT_ID         NUMBER(18, 0) ,
    EARNING_ID                NUMBER(18, 0) ,
    PERIOD_ID                 NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    SRP_COMP_PLAN_ID          NUMBER(18, 0) ,
    PLAN_COMPONENT_ID         NUMBER(18, 0) ,
    FORMULA_ID                NUMBER(18, 0) ,
    RATE_TABLE_ID             NUMBER(18, 0) ,
    RATE_DIMENSION_ID         NUMBER(18, 0) ,
    RATE_TABLE_VALUE_ID       NUMBER(18, 0) ,
    TIER_MINIMUM_AMOUNT       NUMBER        ,
    TIER_MAXIMUM_AMOUNT       NUMBER        ,
    TIER_RATE                 NUMBER        ,
    TIER_SEQUENCE             NUMBER(9, 0)  ,
    INPUT_BASE_AMOUNT         NUMBER        ,
    INPUT_AMOUNT              NUMBER        ,
    INPUT_USED_IN_TIER        NUMBER        ,
    SPLIT_RATE                NUMBER        ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    RATE_TIER_SPLIT_ID        NUMBER(18, 0) ,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    MEASURE_RESULT_ID         NUMBER(18, 0) ,
    EARNING_ID                NUMBER(18, 0) ,
    PERIOD_ID                 NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0) ,
    SRP_COMP_PLAN_ID          NUMBER(18, 0) ,
    PLAN_COMPONENT_ID         NUMBER(18, 0) ,
    FORMULA_ID                NUMBER(18, 0) ,
    RATE_TABLE_ID             NUMBER(18, 0) ,
    RATE_DIMENSION_ID         NUMBER(18, 0) ,
    RATE_TABLE_VALUE_ID       NUMBER(18, 0) ,
    TIER_MINIMUM_AMOUNT       NUMBER        ,
    TIER_MAXIMUM_AMOUNT       NUMBER        ,
    TIER_RATE                 NUMBER        ,
    TIER_SEQUENCE             NUMBER(9, 0)  ,
    INPUT_BASE_AMOUNT         NUMBER        ,
    INPUT_AMOUNT              NUMBER        ,
    INPUT_USED_IN_TIER        NUMBER        ,
    SPLIT_RATE                NUMBER        ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_cn_tp_rate_tier_splits_all PRIMARY KEY (RATE_TIER_SPLIT_ID, RATE_TIER_SPLIT_ID)
);
